package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103Creator;

/**
 * @author wanggang
 * @date 2023/2/20
 */
public class Tag71GCreator extends AbsTagCreate {

     private MT103Creator mt103Creator;

    public Tag71GCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103Creator= (MT103Creator) absMTCreator;
    }

    public void creator()
    {
        String tag71GValue = mt103Creator.getReceiversCharges();
        mt103Creator.set("71G", tag71GValue);
    }
}

